Groovy 1.7.0

## groovy.util
Class NodeBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.NodeBuilder

    class NodeBuilder
    extends BuilderSupport

A helper class for creating nested trees of Node objects for handling arbitrary data

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`NodeBuilder()`

Method Summary
`protected Object` | `createNode(Object name)`
`protected Object` | `createNode(Object name, Object value)`
`protected Object` | `createNode(Object name, Map attributes)`
`protected Object` | `createNode(Object name, Map attributes, Object value)`
`protected Node` | `getCurrentNode()`
`static NodeBuilder` | `newInstance()`
`protected void` | `setParent(Object parent, Object child)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NodeBuilder

    NodeBuilder()

Method Detail

### createNode

    protected Object createNode(Object name)

### createNode

    protected Object createNode(Object name, Object value)

### createNode

    protected Object createNode(Object name, Map attributes)

### createNode

    protected Object createNode(Object name, Map attributes, Object value)

### getCurrentNode

    protected Node getCurrentNode()

### newInstance

    public static NodeBuilder newInstance()

### setParent

    protected void setParent(Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.